uriparser 0.9.6

Data Fields
UriHostDataStructA Struct Reference

`#include <Uri.h>`

## Data Fields
UriIp4 * | ip4
UriIp6 * | ip6
UriTextRangeA | ipFuture

## Detailed Description

Holds structured host information. This is either a IPv4, IPv6, plain text for IPvFuture or all zero for a registered name.

See also
  UriUriA

Since
  0.3.0

## Field Documentation

## ◆ ip4

UriIp4* ip4

IPv4 address

## ◆ ip6

UriIp6* ip6

IPv6 address

## ◆ ipFuture

UriTextRangeA ipFuture

IPvFuture address

The documentation for this struct was generated from the following file:

- Uri.h